diff --git a/web/pgadmin/tools/import_export/tests/test_batch_process.py b/web/pgadmin/tools/import_export/tests/test_batch_process.py
index 45fd382cd..f01a0e72a 100644
--- a/web/pgadmin/tools/import_export/tests/test_batch_process.py
+++ b/web/pgadmin/tools/import_export/tests/test_batch_process.py
@@ -13,6 +13,12 @@ from pgadmin.tools.import_export import IEMessage
 from pgadmin.utils.route import BaseTestGenerator
 from pickle import dumps, loads
 from unittest.mock import patch, MagicMock
+from pgadmin.utils.preferences import Preferences
+import datetime
+import pytz
+
+start_time = \
+    datetime.datetime.now(pytz.utc).strftime("%Y-%m-%d %H:%M:%S.%f %z")
 
 
 class BatchProcessTest(BaseTestGenerator):
@@ -94,13 +100,14 @@ class BatchProcessTest(BaseTestGenerator):
          ))
     ]
 
-    @patch('pgadmin.tools.import_export.IEMessage.get_server_details')
+    @patch.object(Preferences, 'module', return_value=MagicMock())
+    @patch('pgadmin.tools.import_export.IEMessage.get_server_name')
     @patch('pgadmin.misc.bgprocess.processes.Popen')
     @patch('pgadmin.misc.bgprocess.processes.db')
     @patch('pgadmin.tools.import_export.current_user')
     @patch('pgadmin.misc.bgprocess.processes.current_user')
     def runTest(self, current_user_mock, current_user, db_mock,
-                popen_mock, get_server_details_mock):
+                popen_mock, get_server_name_mock, pref_module):
         with self.app.app_context():
             current_user.id = 1
             current_user_mock.id = 1
@@ -128,10 +135,14 @@ class BatchProcessTest(BaseTestGenerator):
             db_mock.session.add.side_effect = db_session_add_mock
             db_mock.session.commit = MagicMock(return_value=True)
 
-            get_server_details_mock.return_value = \
-                self.class_params['name'], \
-                self.class_params['host'], \
-                self.class_params['port']
+            pref_module.return_value.preference.return_value.get. \
+                return_value = 5
+
+            get_server_name_mock.return_value = "{0} ({1}:{2})" \
+                .format(
+                    self.class_params['name'],
+                    self.class_params['host'],
+                    self.class_params['port'])
 
             args = self.class_params['args'][1].format(
                 self.params['schema'],
@@ -176,13 +187,15 @@ class BatchProcessTest(BaseTestGenerator):
             def __init__(self, desc, args, cmd):
                 self.pid = 1
                 self.exit_code = 1
-                self.start_time = '2018-04-17 06:18:56.315445 +0000'
+                self.start_time = start_time
                 self.end_time = None
                 self.desc = dumps(desc)
                 self.arguments = " ".join(args)
                 self.command = cmd
                 self.acknowledge = None
                 self.process_state = 0
+                self.utility_pid = 123
+                self.server_id = None
 
         mock_result = process_mock.query.filter_by.return_value
         mock_result.first.return_value = TestMockProcess(
@@ -212,9 +225,7 @@ class BatchProcessTest(BaseTestGenerator):
     @patch('pgadmin.misc.bgprocess.processes.Process')
     @patch('pgadmin.misc.bgprocess.processes.BatchProcess.'
            'update_process_info')
-    @patch('pgadmin.misc.bgprocess.processes.BatchProcess.'
-           '_operate_orphan_process')
-    def _check_list(self, p, import_export_obj, _operate_orphan_process_mock,
+    def _check_list(self, p, import_export_obj,
                     update_process_info_mock, process_mock,
                     get_complete_file_path_mock, get_storage_directory_mock,
                     realpath_mock):
@@ -222,13 +233,15 @@ class BatchProcessTest(BaseTestGenerator):
             def __init__(self, desc, args, cmd):
                 self.pid = 1
                 self.exit_code = 1
-                self.start_time = '2018-04-17 06:18:56.315445 +0000'
+                self.start_time = start_time
                 self.end_time = None
                 self.desc = dumps(desc)
                 self.arguments = " ".join(args)
                 self.command = cmd
                 self.acknowledge = None
                 self.process_state = 0
+                self.utility_pid = 123
+                self.server_id = None
 
         process_mock.query.filter_by.return_value = [
             TestMockProcess(import_export_obj,
@@ -239,7 +252,6 @@ class BatchProcessTest(BaseTestGenerator):
         get_complete_file_path_mock.return_value = self.params['filename']
         realpath_mock.return_value = self.params['filename']
         get_storage_directory_mock.return_value = '//'
-        _operate_orphan_process_mock.return_value = False
 
         ret_value = p.list()
         self.assertEqual(1, len(ret_value))
diff --git a/web/pgadmin/tools/import_export/tests/test_import_export_create_job_unit_test.py b/web/pgadmin/tools/import_export/tests/test_import_export_create_job_unit_test.py
index ab81045a8..d45dfcb39 100644
--- a/web/pgadmin/tools/import_export/tests/test_import_export_create_job_unit_test.py
+++ b/web/pgadmin/tools/import_export/tests/test_import_export_create_job_unit_test.py
@@ -315,6 +315,8 @@ class IECreateJobTest(BaseTestGenerator):
             return_value=True
         )
 
+        ie_message_mock.message = 'test'
+        batch_process_mock.return_value.desc = ie_message_mock
         export_password_env_mock.return_value = True
 
         server_response = server_utils.connect_server(self, self.server_id)
diff --git a/web/pgadmin/tools/import_export/tests/test_import_export_message.py b/web/pgadmin/tools/import_export/tests/test_import_export_message.py
index 31ee76eed..5618dab54 100644
--- a/web/pgadmin/tools/import_export/tests/test_import_export_message.py
+++ b/web/pgadmin/tools/import_export/tests/test_import_export_message.py
@@ -39,7 +39,7 @@ class IEMessageTest(BaseTestGenerator):
                  ]
              ),
              expected_msg="Copying table data '{0}.{1}' on "
-                          "database '{2}' and server ({3}:{4})",
+                          "database '{2}' and server '{3} ({4}:{5})'",
              expected_storage_dir='/'
 
          )),
@@ -66,7 +66,7 @@ class IEMessageTest(BaseTestGenerator):
                  ]
              ),
              expected_msg="Copying table data '{0}.{1}' on "
-                          "database '{2}' and server ({3}:{4})",
+                          "database '{2}' and server '{3} ({4}:{5})'",
              expected_storage_dir='/test_path'
 
          )),
@@ -75,17 +75,17 @@ class IEMessageTest(BaseTestGenerator):
     @patch('os.path.realpath')
     @patch('pgadmin.misc.bgprocess.processes.get_storage_directory')
     @patch('pgadmin.misc.bgprocess.processes.get_complete_file_path')
-    @patch('pgadmin.tools.import_export.IEMessage.get_server_details')
-    def runTest(self, get_server_details_mock,
+    @patch('pgadmin.tools.import_export.IEMessage.get_server_name')
+    def runTest(self, get_server_name_mock,
                 get_complete_file_path_mock,
                 get_storage_directory_mock,
                 realpath_mock):
 
-        name = self.class_params['name']
-        host = self.class_params['host']
-        port = self.class_params['port']
-
-        get_server_details_mock.return_value = name, host, port
+        get_server_name_mock.return_value = "{0} ({1}:{2})" \
+            .format(
+                self.class_params['name'],
+                self.class_params['host'],
+                self.class_params['port'])
 
         get_complete_file_path_mock.return_value \
             = self.class_params['filename']
@@ -109,6 +109,7 @@ class IEMessageTest(BaseTestGenerator):
             self.class_params['schema'],
             self.class_params['table'],
             self.class_params['database'],
+            self.class_params['name'],
             self.class_params['host'],
             self.class_params['port']
         )
@@ -120,11 +121,11 @@ class IEMessageTest(BaseTestGenerator):
         obj_details = import_export_obj.details(self.class_params['cmd'],
                                                 self.class_params['args'])
 
-        self.assertIn(self.class_params['schema'], obj_details)
-        self.assertIn(self.class_params['table'], obj_details)
-        self.assertIn(self.class_params['database'], obj_details)
-        self.assertIn(self.class_params['host'], obj_details)
-        self.assertIn(str(self.class_params['port']), obj_details)
+        self.assertIn(self.class_params['schema'], obj_details['message'])
+        self.assertIn(self.class_params['table'], obj_details['message'])
+        self.assertIn(self.class_params['database'], obj_details['message'])
+        self.assertIn(self.class_params['host'], obj_details['message'])
+        self.assertIn(str(self.class_params['port']), obj_details['message'])
 
         if config.SERVER_MODE is False:
             self.skipTest(
diff --git a/web/pgadmin/tools/import_export/tests/test_import_export_utils.py b/web/pgadmin/tools/import_export/tests/test_import_export_utils.py
index f3098f736..9ac25a2c0 100644
--- a/web/pgadmin/tools/import_export/tests/test_import_export_utils.py
+++ b/web/pgadmin/tools/import_export/tests/test_import_export_utils.py
@@ -70,7 +70,7 @@ def run_import_export_job(tester, job_id, expected_params, assert_in,
 
     io_file = None
     if 'details' in the_process:
-        io_det = the_process['details']
+        io_det = the_process['details']['message']
 
         temp_io_det = io_det.upper()
 
@@ -82,10 +82,10 @@ def run_import_export_job(tester, job_id, expected_params, assert_in,
 
     if expected_params['expected_cmd_opts']:
         for opt in expected_params['expected_cmd_opts']:
-            assert_in(opt, the_process['details'])
+            assert_in(opt, the_process['details']['cmd'])
     if expected_params['not_expected_cmd_opts']:
         for opt in expected_params['not_expected_cmd_opts']:
-            assert_not_in(opt, the_process['details'])
+            assert_not_in(opt, the_process['details']['cmd'])
 
     # Check the process details
     p_details = tester.get('/misc/bgprocess/{0}?_={1}'.format(
diff --git a/web/pgadmin/tools/maintenance/__init__.py b/web/pgadmin/tools/maintenance/__init__.py
index f84da2587..facc8aa18 100644
--- a/web/pgadmin/tools/maintenance/__init__.py
+++ b/web/pgadmin/tools/maintenance/__init__.py
@@ -63,6 +63,9 @@ class Message(IProcessDesc):
     def get_server_name(self):
         s = get_server(self.sid)
 
+        if s is None:
+            return _("Not available")
+
         from pgadmin.utils.driver import get_driver
         driver = get_driver(PG_DEFAULT_DRIVER)
         manager = driver.connection_manager(self.sid)
@@ -129,15 +132,13 @@ class Message(IProcessDesc):
         return res
 
     def details(self, cmd, args):
-
-        res = '<div>' + self.message
-        res += '</div><div class="py-1">'
-        res += _("Running Query:")
-        res += '<div class="pg-bg-cmd enable-selection p-1">'
-        res += html.safe_str(self.query)
-        res += '</div></div>'
-
-        return res
+        return {
+            "message": self.message,
+            "query": self.query,
+            "server": self.get_server_name(),
+            "object": self.data['database'],
+            "type": self.type_desc,
+        }
 
 
 @blueprint.route("/")
@@ -272,7 +273,7 @@ def create_maintenance_job(sid, did):
 
     # Return response
     return make_json_response(
-        data={'job_id': jid, 'status': True,
+        data={'job_id': jid, 'desc': p.desc.message, 'status': True,
               'info': _('Maintenance job created.')}
     )
 
diff --git a/web/pgadmin/tools/maintenance/static/js/maintenance.js b/web/pgadmin/tools/maintenance/static/js/maintenance.js
index cbf9388e0..971653e8e 100644
--- a/web/pgadmin/tools/maintenance/static/js/maintenance.js
+++ b/web/pgadmin/tools/maintenance/static/js/maintenance.js
@@ -92,8 +92,7 @@ define([
           gettext(data.errormsg)
         );
       } else {
-        Notify.success(data.data.info);
-        pgBrowser.Events.trigger('pgadmin-bgprocess:created');
+        pgBrowser.BgProcessManager.startProcess(data.data.job_id, data.data.desc);
       }
     },
     setExtraParameters(treeInfo) {
diff --git a/web/pgadmin/tools/maintenance/tests/test_batch_process_maintenance.py b/web/pgadmin/tools/maintenance/tests/test_batch_process_maintenance.py
index 1d094ca79..741063957 100644
--- a/web/pgadmin/tools/maintenance/tests/test_batch_process_maintenance.py
+++ b/web/pgadmin/tools/maintenance/tests/test_batch_process_maintenance.py
@@ -13,6 +13,12 @@ from pgadmin.tools.maintenance import Message
 from pgadmin.utils.route import BaseTestGenerator
 from pickle import dumps, loads
 from unittest.mock import patch, MagicMock
+from pgadmin.utils.preferences import Preferences
+import datetime
+import pytz
+
+start_time = \
+    datetime.datetime.now(pytz.utc).strftime("%Y-%m-%d %H:%M:%S.%f %z")
 
 
 class BatchProcessTest(BaseTestGenerator):
@@ -53,13 +59,14 @@ class BatchProcessTest(BaseTestGenerator):
          ))
     ]
 
+    @patch.object(Preferences, 'module', return_value=MagicMock())
     @patch('pgadmin.tools.maintenance.Message.get_server_name')
     @patch('pgadmin.misc.bgprocess.processes.Popen')
     @patch('pgadmin.misc.bgprocess.processes.db')
     @patch('pgadmin.tools.maintenance.Server')
     @patch('pgadmin.misc.bgprocess.processes.current_user')
     def runTest(self, current_user_mock, server_mock, db_mock,
-                popen_mock, get_server_name_mock):
+                popen_mock, get_server_name_mock, pref_module):
         get_server_name_mock.return_value = self.SERVER_NAME
         with self.app.app_context():
             current_user_mock.id = 1
@@ -87,6 +94,9 @@ class BatchProcessTest(BaseTestGenerator):
             db_mock.session.add.side_effect = db_session_add_mock
             db_mock.session.commit = MagicMock(return_value=True)
 
+            pref_module.return_value.preference.return_value.get. \
+                return_value = 5
+
             maintenance_obj = Message(
                 self.class_params['sid'],
                 self.class_params['data'],
@@ -114,13 +124,15 @@ class BatchProcessTest(BaseTestGenerator):
             def __init__(self, desc, args, cmd):
                 self.pid = 1
                 self.exit_code = 1
-                self.start_time = '2018-04-17 06:18:56.315445 +0000'
+                self.start_time = start_time
                 self.end_time = None
                 self.desc = dumps(desc)
                 self.arguments = " ".join(args)
                 self.command = cmd
                 self.acknowledge = None
                 self.process_state = 0
+                self.utility_pid = 123
+                self.server_id = None
 
         mock_result = process_mock.query.filter_by.return_value
         mock_result.first.return_value = TestMockProcess(
@@ -146,21 +158,21 @@ class BatchProcessTest(BaseTestGenerator):
     @patch('pgadmin.misc.bgprocess.processes.Process')
     @patch('pgadmin.misc.bgprocess.processes.BatchProcess.'
            'update_process_info')
-    @patch('pgadmin.misc.bgprocess.processes.BatchProcess.'
-           '_operate_orphan_process')
-    def _check_list(self, p, maintenance_obj, _operate_orphan_process_mock,
+    def _check_list(self, p, maintenance_obj,
                     update_process_info_mock, process_mock):
         class TestMockProcess():
             def __init__(self, desc, args, cmd):
                 self.pid = 1
                 self.exit_code = 1
-                self.start_time = '2018-04-17 06:18:56.315445 +0000'
+                self.start_time = start_time
                 self.end_time = None
                 self.desc = dumps(desc)
                 self.arguments = " ".join(args)
                 self.command = cmd
                 self.acknowledge = None
                 self.process_state = 0
+                self.utility_pid = 123
+                self.server_id = None
 
         process_mock.query.filter_by.return_value = [
             TestMockProcess(maintenance_obj,
@@ -169,7 +181,6 @@ class BatchProcessTest(BaseTestGenerator):
         ]
 
         update_process_info_mock.return_value = [True, True]
-        _operate_orphan_process_mock.return_value = False
 
         ret_value = p.list()
         self.assertEqual(1, len(ret_value))
diff --git a/web/pgadmin/tools/maintenance/tests/test_create_maintenance_job.py b/web/pgadmin/tools/maintenance/tests/test_create_maintenance_job.py
index e6b940c0a..6e6be3333 100644
--- a/web/pgadmin/tools/maintenance/tests/test_create_maintenance_job.py
+++ b/web/pgadmin/tools/maintenance/tests/test_create_maintenance_job.py
@@ -101,7 +101,7 @@ class MaintenanceJobTest(BaseTestGenerator):
         self.assertTrue(the_process['exit_code'] in
                         self.expected_exit_code)
 
-        self.assertIn(self.expected_cmd, the_process['details'])
+        self.assertIn(self.expected_cmd, the_process['details']['query'])
 
         # Check the process details
         p_details = self.tester.get('/misc/bgprocess/{0}?_={1}'.format(
diff --git a/web/pgadmin/tools/maintenance/tests/test_maintenance_create_job_unit_test.py b/web/pgadmin/tools/maintenance/tests/test_maintenance_create_job_unit_test.py
index 0a71ff352..a29343303 100644
--- a/web/pgadmin/tools/maintenance/tests/test_maintenance_create_job_unit_test.py
+++ b/web/pgadmin/tools/maintenance/tests/test_maintenance_create_job_unit_test.py
@@ -177,6 +177,8 @@ class MaintenanceCreateJobTest(BaseTestGenerator):
         batch_process_mock.return_value.start = MagicMock(
             return_value=True
         )
+        message_mock.message = 'test'
+        batch_process_mock.return_value.desc = message_mock
         export_password_env_mock.return_value = True
 
         server_response = server_utils.connect_server(self, self.server_id)
diff --git a/web/pgadmin/tools/maintenance/tests/test_maintenance_message.py b/web/pgadmin/tools/maintenance/tests/test_maintenance_message.py
index 394f9eb7d..7a237aad5 100644
--- a/web/pgadmin/tools/maintenance/tests/test_maintenance_message.py
+++ b/web/pgadmin/tools/maintenance/tests/test_maintenance_message.py
@@ -128,4 +128,4 @@ class MaintenanceMessageTest(BaseTestGenerator):
 
         # Check the command
         obj_details = maintenance_obj.details(self.class_params['cmd'], None)
-        self.assertIn(self.expected_details_cmd, obj_details)
+        self.assertIn(self.expected_details_cmd, obj_details['query'])
diff --git a/web/pgadmin/tools/restore/__init__.py b/web/pgadmin/tools/restore/__init__.py
index 76f4d9df3..e823bdf06 100644
--- a/web/pgadmin/tools/restore/__init__.py
+++ b/web/pgadmin/tools/restore/__init__.py
@@ -56,9 +56,10 @@ blueprint = RestoreModule(
 
 
 class RestoreMessage(IProcessDesc):
-    def __init__(self, _sid, _bfile, *_args):
+    def __init__(self, _sid, _bfile, *_args, **_kwargs):
         self.sid = _sid
         self.bfile = _bfile
+        self.database = _kwargs['database'] if 'database' in _kwargs else None
         self.cmd = ''
 
         def cmd_arg(x):
@@ -75,11 +76,12 @@ class RestoreMessage(IProcessDesc):
             else:
                 self.cmd += cmd_arg(arg)
 
-    def get_server_details(self):
-
-        # Fetch the server details like hostname, port, roles etc
+    def get_server_name(self):
         s = get_server(self.sid)
 
+        if s is None:
+            return _("Not available")
+
         from pgadmin.utils.driver import get_driver
         driver = get_driver(PG_DEFAULT_DRIVER)
         manager = driver.connection_manager(self.sid)
@@ -87,42 +89,28 @@ class RestoreMessage(IProcessDesc):
         host = manager.local_bind_host if manager.use_ssh_tunnel else s.host
         port = manager.local_bind_port if manager.use_ssh_tunnel else s.port
 
-        return s.name, host, port
+        s.name = html.safe_str(s.name)
+        host = html.safe_str(host)
+        port = html.safe_str(port)
+        return "{0} ({1}:{2})".format(s.name, host, port)
 
     @property
     def message(self):
-        name, host, port = self.get_server_details()
-
-        return _("Restoring backup on the server '{0}'").format(
-            "{0} ({1}:{2})".format(
-                html.safe_str(name),
-                html.safe_str(host),
-                html.safe_str(port)
-            ),
-        )
+        return _("Restoring backup on the server '{0}'")\
+            .format(self.get_server_name())
 
     @property
     def type_desc(self):
         return _("Restoring backup on the server")
 
     def details(self, cmd, args):
-        name, host, port = self.get_server_details()
-        res = '<div>'
-
-        res += html.safe_str(
-            _(
-                "Restoring backup on the server '{0}'..."
-            ).format(
-                "{0} ({1}:{2})".format(name, host, port)
-            )
-        )
-
-        res += '</div><div class="py-1">'
-        res += _("Running command:")
-        res += '<div class="pg-bg-cmd enable-selection p-1">'
-        res += html.safe_str(cmd + self.cmd)
-        res += '</div></div>'
-        return res
+        return {
+            "message": self.message,
+            "cmd": cmd + self.cmd,
+            "server": self.get_server_name(),
+            "object": getattr(self, 'database', ''),
+            "type": _("Restore"),
+        }
 
 
 @blueprint.route("/")
@@ -409,7 +397,8 @@ def create_restore_job(sid):
                 data['file'].encode('utf-8') if hasattr(
                     data['file'], 'encode'
                 ) else data['file'],
-                *args
+                *args,
+                database=data['database']
             ),
             cmd=utility, args=args
         )
@@ -434,7 +423,7 @@ def create_restore_job(sid):
         )
     # Return response
     return make_json_response(
-        data={'job_id': jid, 'Success': 1}
+        data={'job_id': jid, 'desc': p.desc.message, 'Success': 1}
     )
 
 
diff --git a/web/pgadmin/tools/restore/static/js/restore.js b/web/pgadmin/tools/restore/static/js/restore.js
index 3ad192cf5..0f33ef334 100644
--- a/web/pgadmin/tools/restore/static/js/restore.js
+++ b/web/pgadmin/tools/restore/static/js/restore.js
@@ -97,7 +97,7 @@ define('tools.restore', [
           gettext(data.errormsg)
         );
       } else {
-        pgBrowser.Events.trigger('pgadmin-bgprocess:created');
+        pgBrowser.BgProcessManager.startProcess(data.data.job_id, data.data.desc);
       }
     },
     setExtraParameters: function(treeInfo, nodeData) {
diff --git a/web/pgadmin/tools/restore/tests/test_batch_process.py b/web/pgadmin/tools/restore/tests/test_batch_process.py
index 535b46617..6ce67ca3b 100644
--- a/web/pgadmin/tools/restore/tests/test_batch_process.py
+++ b/web/pgadmin/tools/restore/tests/test_batch_process.py
@@ -13,6 +13,12 @@ from pgadmin.tools.restore import RestoreMessage
 from pgadmin.utils.route import BaseTestGenerator
 from pickle import dumps, loads
 from unittest.mock import patch, MagicMock
+from pgadmin.utils.preferences import Preferences
+import datetime
+import pytz
+
+start_time = \
+    datetime.datetime.now(pytz.utc).strftime("%Y-%m-%d %H:%M:%S.%f %z")
 
 
 class BatchProcessTest(BaseTestGenerator):
@@ -46,13 +52,14 @@ class BatchProcessTest(BaseTestGenerator):
          ))
     ]
 
-    @patch('pgadmin.tools.restore.RestoreMessage.get_server_details')
+    @patch.object(Preferences, 'module', return_value=MagicMock())
+    @patch('pgadmin.tools.restore.RestoreMessage.get_server_name')
     @patch('pgadmin.misc.bgprocess.processes.Popen')
     @patch('pgadmin.misc.bgprocess.processes.db')
     @patch('pgadmin.tools.restore.current_user')
     @patch('pgadmin.misc.bgprocess.processes.current_user')
     def runTest(self, current_user_mock, current_user, db_mock,
-                popen_mock, get_server_details_mock):
+                popen_mock, get_server_name_mock, pref_module):
         with self.app.app_context():
             current_user.id = 1
             current_user_mock.id = 1
@@ -75,10 +82,14 @@ class BatchProcessTest(BaseTestGenerator):
                                      self.class_params['database']
                                  ))
 
-            get_server_details_mock.return_value = \
-                self.class_params['name'], \
-                self.class_params['host'], \
-                self.class_params['port']
+            pref_module.return_value.preference.return_value.get. \
+                return_value = 5
+
+            get_server_name_mock.return_value = "{0} ({1}:{2})" \
+                .format(
+                    self.class_params['name'],
+                    self.class_params['host'],
+                    self.class_params['port'])
 
             db_mock.session.add.side_effect = db_session_add_mock
             db_mock.session.commit = MagicMock(return_value=True)
@@ -110,13 +121,15 @@ class BatchProcessTest(BaseTestGenerator):
             def __init__(self, desc, args, cmd):
                 self.pid = 1
                 self.exit_code = 1
-                self.start_time = '2018-04-17 06:18:56.315445 +0000'
+                self.start_time = start_time
                 self.end_time = None
                 self.desc = dumps(desc)
                 self.arguments = " ".join(args)
                 self.command = cmd
                 self.acknowledge = None
                 self.process_state = 0
+                self.utility_pid = 123
+                self.server_id = None
 
         mock_result = process_mock.query.filter_by.return_value
         mock_result.first.return_value = TestMockProcess(
@@ -142,21 +155,21 @@ class BatchProcessTest(BaseTestGenerator):
     @patch('pgadmin.misc.bgprocess.processes.Process')
     @patch('pgadmin.misc.bgprocess.processes.BatchProcess.'
            'update_process_info')
-    @patch('pgadmin.misc.bgprocess.processes.BatchProcess.'
-           '_operate_orphan_process')
-    def _check_list(self, p, restore_obj, _operate_orphan_process_mock,
+    def _check_list(self, p, restore_obj,
                     update_process_info_mock, process_mock):
         class TestMockProcess():
             def __init__(self, desc, args, cmd):
                 self.pid = 1
                 self.exit_code = 1
-                self.start_time = '2018-04-17 06:18:56.315445 +0000'
+                self.start_time = start_time
                 self.end_time = None
                 self.desc = dumps(desc)
                 self.arguments = " ".join(args)
                 self.command = cmd
                 self.acknowledge = None
                 self.process_state = 0
+                self.utility_pid = 123
+                self.server_id = None
 
         process_mock.query.filter_by.return_value = [
             TestMockProcess(restore_obj,
@@ -165,7 +178,6 @@ class BatchProcessTest(BaseTestGenerator):
         ]
 
         update_process_info_mock.return_value = [True, True]
-        _operate_orphan_process_mock.return_value = False
 
         ret_value = p.list()
         self.assertEqual(1, len(ret_value))
diff --git a/web/pgadmin/tools/restore/tests/test_create_restore_job.py b/web/pgadmin/tools/restore/tests/test_create_restore_job.py
index 45feed0c0..fad9f54e4 100644
--- a/web/pgadmin/tools/restore/tests/test_create_restore_job.py
+++ b/web/pgadmin/tools/restore/tests/test_create_restore_job.py
@@ -143,10 +143,10 @@ class RestoreJobTest(BaseTestGenerator):
 
         if self.expected_cmd_opts:
             for opt in self.expected_cmd_opts:
-                self.assertIn(opt, the_process['details'])
+                self.assertIn(opt, the_process['details']['cmd'])
         if self.not_expected_cmd_opts:
             for opt in self.not_expected_cmd_opts:
-                self.assertNotIn(opt, the_process['details'])
+                self.assertNotIn(opt, the_process['details']['cmd'])
 
         # Check the process details
         p_details = self.tester.get('/misc/bgprocess/{0}?_={1}'.format(
diff --git a/web/pgadmin/tools/restore/tests/test_restore_create_job_unit_test.py b/web/pgadmin/tools/restore/tests/test_restore_create_job_unit_test.py
index 811603a78..5fce7895c 100644
--- a/web/pgadmin/tools/restore/tests/test_restore_create_job_unit_test.py
+++ b/web/pgadmin/tools/restore/tests/test_restore_create_job_unit_test.py
@@ -348,6 +348,8 @@ class RestoreCreateJobTest(BaseTestGenerator):
             return_value=True
         )
 
+        restore_message_mock.message = 'test'
+        batch_process_mock.return_value.desc = restore_message_mock
         export_password_env_mock.return_value = True
 
         server_response = server_utils.connect_server(self, self.server_id)
diff --git a/web/pgadmin/tools/restore/tests/test_restore_message.py b/web/pgadmin/tools/restore/tests/test_restore_message.py
index 6e2cbbe04..408e5d98d 100644
--- a/web/pgadmin/tools/restore/tests/test_restore_message.py
+++ b/web/pgadmin/tools/restore/tests/test_restore_message.py
@@ -49,12 +49,13 @@ class RestoreMessageTest(BaseTestGenerator):
          ))
     ]
 
-    @patch('pgadmin.tools.restore.RestoreMessage.get_server_details')
-    def runTest(self, get_server_details_mock):
-        get_server_details_mock.return_value = \
-            self.class_params['name'],\
-            self.class_params['host'],\
-            self.class_params['port']
+    @patch('pgadmin.tools.restore.RestoreMessage.get_server_name')
+    def runTest(self, get_server_name_mock):
+        get_server_name_mock.return_value = "{0} ({1}:{2})" \
+            .format(
+                self.class_params['name'],
+                self.class_params['host'],
+                self.class_params['port'])
 
         restore_obj = RestoreMessage(
             self.class_params['sid'],
@@ -68,4 +69,4 @@ class RestoreMessageTest(BaseTestGenerator):
         # Check the command
         obj_details = restore_obj.details(self.class_params['cmd'],
                                           self.class_params['args'])
-        self.assertIn(self.expected_details_cmd, obj_details)
+        self.assertEqual(self.expected_details_cmd, obj_details['cmd'])
diff --git a/web/regression/feature_utils/locators.py b/web/regression/feature_utils/locators.py
index 8088bc06a..51862f2ae 100644
--- a/web/regression/feature_utils/locators.py
+++ b/web/regression/feature_utils/locators.py
@@ -86,8 +86,10 @@ class NavMenuLocators:
         "//div[contains(@class,'wcFrameTitleBar')]" \
         "//div[contains(text(),'Process Watcher')]"
 
-    process_watcher_detailed_command_canvas_css = \
-        ".bg-process-details .bg-detailed-desc"
+    process_watcher_detailed_message_css = \
+        "div[data-test='process-details'] div[data-test='process-message']"
+    process_watcher_detailed_command_css = \
+        "div[data-test='process-details'] div[data-test='process-cmd']"
 
     process_watcher_close_button_xpath = \
         "//div[contains(@class,'wcFloating')]//" \
@@ -107,6 +109,8 @@ class NavMenuLocators:
 
     rcdock_tab = "div.dock-tab-btn[id$='{0}']"
 
+    process_start_close_selector = "div[data-test='process-popup-start'] button[data-label='Close']"
+    process_end_close_selector = "div[data-test='process-popup-end'] button[data-label='Close']"
     process_watcher_error_close_xpath = \
         ".btn.btn-sm-sq.btn-primary.pg-bg-close > i"
 
